Summary:	Mailboxes synchronization tool
Summary(pl.UTF-8):	Narzędzie do synchroniczacji skrzynek pocztowych
Name:		imapsync
Version:	1.945
Release:	1
License:	NOLIMIT Public License
Group:		Applications/Mail
Source0:	https://github.com/imapsync/imapsync/archive/%{name}-%{version}.tar.gz
# Source0-md5:	772b7d6fe46ef801421cb4d48c59b834
Patch0:		no-prereq-install.patch
URL:		http://imapsync.lamiral.info/
BuildRequires:	cpanminus
BuildRequires:	perl-Authen-NTLM
BuildRequires:	perl-Crypt-OpenSSL-RSA
BuildRequires:	perl-Data-Uniqid
BuildRequires:	perl-Date-Manip
BuildRequires:	perl-Dist-CheckConflicts
BuildRequires:	perl-File-Copy-Recursive
BuildRequires:	perl-IO-Socket-INET6
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-IO-Tee
BuildRequires:	perl-JSON-WebToken
BuildRequires:	perl-Mail-IMAPClient >= 3.29
BuildRequires:	perl-Module-ScanDeps
BuildRequires:	perl-Net-SSLeay
BuildRequires:	perl-PAR-Packer
BuildRequires:	perl-Package-Stash-XS
BuildRequires:	perl-Readonly
BuildRequires:	perl-Regexp-Common
BuildRequires:	perl-Sys-MemInfo
BuildRequires:	perl-Term-ReadKey
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-MockObject
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Warn
BuildRequires:	perl-Unicode-String
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	perl-Authen-NTLM
Requires:	perl-Data-Uniqid
Requires:	perl-Date-Manip
Requires:	perl-Digest-HMAC
Requires:	perl-File-Copy-Recursive
Requires:	perl-HTML-Parser
Requires:	perl-IO-Tee
Requires:	perl-JSON
Requires:	perl-JSON-WebToken
Requires:	perl-Mail-IMAPClient >= 3.29
Requires:	perl-Term-ReadKey
Requires:	perl-Test-MockObject
Requires:	perl-URI
Requires:	perl-Unicode-String
Requires:	perl-libwww
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
imapsync is a tool for facilitating incremental recursive IMAP
transfers from one mailbox to another. It is useful for mailbox
migration, and reduces the amount of data transferred by only copying
messages that are not present on both servers. Read, unread, and
deleted flags are preserved, and the process can be stopped and
resumed. The original messages can optionally be deleted after a
successful transfer.

%description -l pl.UTF-8
imapsync to narzędzie ułatwiające przyrostowe rekurencyjne transfery
IMAP z jednej skrzynki do drugiej. Jest przydatne do migracji skrzynek
pocztowych i zmniajsza ilość przesyłanych danych kopiując tylko
wiadomości nie obecne na obu serwerach. Flagi oznaczające wiadomości
przeczytane, nieprzeczytane i usunięte są zachowywane, a proces może
być zatrzymany i wznowiony. Oryginalne wiadomości opcjonalnie mogą być
usunięte po udanym przesłaniu.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p1

sed -E -i -e '1s,#!\s*/usr/bin/env\s+python2(\s|$),#!%{__python}\1,' -e '1s,#!\s*/usr/bin/env\s+python(\s|$),#!%{__python}\1,' -e '1s,#!\s*/usr/bin/python(\s|$),#!%{__python}\1,' \
      W/tools/addFromIfMissing2 \
      W/tools/fix_email_for_exchange.py \
      W/tools/html5check.py \
      W/tools/postman_imapsync.py

sed -E -i -e '1s,#!\s*/usr/bin/env\s+perl(\s|$),#!%{__perl}\1,' \
      imapsync \
      imapsync-1.921

sed -E -i -e '1s,#!\s*/usr/bin/env\s+(.*),#!%{__bindir}\1,' \
      W/tools/wonko_ruby_imapsync

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog FAQ README TODO
%attr(755,root,root) %{_bindir}/imapsync
%{_mandir}/man1/imapsync.1*
%changelog
* Thu Feb 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imapsync.git;a=log;h=master

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b7bc23
- up to 1.945

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a1f41c2
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Nov 09 2019 Jan Rękorajski <baggins@pld-linux.org> 36de871
- don't try to install rpms or cpan modules after build
- rel 3

* Tue Sep 04 2018 Marcin Krol <hawk@tld-linux.org> b384628
- LWP is provided by libwww in PLD

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> bd96784
- Requires based on imapsync --releasecheck output.

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 46a91c1
- more deps

* Tue Jul 10 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 067e0ba
- up to 1.882

* Thu Jul 14 2016 Patryk Szczygłowski <psz@pld-linux.org> 26b2709
- up to 1.684

* Tue Mar 24 2015 Patryk Szczygłowski <psz@pld-linux.org> 5e1fc33
- up to version 1.607

* Mon Mar 03 2014 Adam Gołębiowski <adamg@pld-linux.org> 17b0784
- updated to 1.584

* Fri Feb 28 2014 Adam Gołębiowski <adamg@pld-linux.org> 08593af
- BR,R: perl-Mail-IMAPClient >= 3.29

* Mon Dec 30 2013 Adam Gołębiowski <adamg@pld-linux.org> 812e3bf
- updated to 1.580

* Mon Jun 17 2013 Adam Gołębiowski <adamg@pld-linux.org> 5102af3
- updated to 1.542

* Wed May 01 2013 Patryk Szczygłowski <psz@pld-linux.org> 93068b7
- up to 1.536
- new license: NOLIMIT Public License

* Thu Jan 10 2013 Patryk Szczygłowski <psz@pld-linux.org> 31da53d
- up to 1.518

* Thu Oct 04 2012 Patryk Szczygłowski <psz@pld-linux.org> fcd1c6d
- up to 1.508

* Tue Jun 12 2012 psz <psz@pld-linux.org> b5e3cb1
- up to 1.488

* Fri Feb 10 2012 lisu <lisu@pld-linux.org> d49763d
- up to 1.484

* Mon Jan 30 2012 Adam Gołębiowski <adamg@pld-linux.org> 3b1d26a
- updated to 1.476; new home URL

* Sat Oct 15 2011 Adam Gołębiowski <adamg@pld-linux.org> ad6ad3f
- updated to 1.456; WTFPL license; source no longer hosted on homesite

